Searched refs:fatal (Results 1 - 25 of 145) sorted by relevance

123456

/illumos-gate/usr/src/test/libc-tests/tests/
H A Dquick_exit.ksh34 function fatal function
46 fatal "Test failed: Expected $qestatus32 to exit $stat " \
52 fatal "Test failed: Expected $qestatus64 to exit $stat " \
59 $qe_order32 || fatal "$qe_order32 returned $?"
60 $qe_order64 || fatal "$qe_order32 returned $?"
/illumos-gate/usr/src/cmd/sgs/test/ld/assert-deflib/
H A Dtest-deflib.sh36 function fatal function
51 [[ -f $sh_path/$sh_lib/$sh_soname ]] || fatal "missing 32-bit $sh_soname"
53 fatal "missing 64-bit $sh_soname"
54 which $sh_cc >/dev/null || fatal "cc not in path"
72 fatal $4
77 [[ -z "$1" ]] && fatal "<proto root>"
85 "Testing basic compilation fails if warning are fatal..." \
89 "Testing basic exception with fatal warnings..." \
93 "Testing basic exception with fatal warnings..." \
/illumos-gate/usr/src/cmd/intrstat/
H A Dintrstat.c96 fatal(const char *fmt, ...) function
234 fatal("cannot specify both a processor set and a processor\n");
237 fatal("cpu %d out of range\n", cpu);
241 fatal("could not get status for cpu %d", cpu);
242 fatal("cpu %d not present\n", cpu);
252 fatal("cannot specify both a processor set and processors\n");
255 fatal("invalid cpu '%d'\n", low);
258 fatal("invalid cpu '%d'\n", high);
261 fatal("invalid range '%d' to '%d'\n", low, high);
275 fatal("processo
[all...]
/illumos-gate/usr/src/cmd/mdb/test/
H A Dmtest.sh50 function fatal function
61 mkdir -p $mt_outdir || fatal "failed to make output dir $mt_outdir"
74 [[ -z "$ext" ]] && fatal "found test without ext: $name"
75 [[ -z "$expect" ]] && fatal "found test without prefix: $name"
98 mkdir -p "$odir" >/dev/null || fatal "can't make output directory"
119 mv "$odir" "$mt_outdir/failure.$mt_tfail" || fatal \
121 cp "$name" "$mt_outdir/failure.$mt_tfail/test" || fatal \
126 mv "$odir" "$mt_outdir/success.$mt_tsuc" || fatal \
155 rm -rf "$mt_outdir"/success.* || fatal \
158 rmdir "$mt_outdir" || fatal \
[all...]
/illumos-gate/usr/src/cmd/cmd-inet/usr.sbin/
H A Din.fingerd.c48 void fatal(char *prog, char *s);
65 fatal(argv[0], "getpeername");
115 fatal(argv[0], "pipe");
129 fatal(argv[0], "fork");
132 fatal(argv[0], "fdopen");
145 fatal(prog, s) function
/illumos-gate/usr/src/cmd/dtrace/test/cmd/baddof/
H A Dbaddof.c37 fatal(char *fmt, ...) function
104 fatal("couldn't open DTrace pseudo device");
164 fatal("expected D script as argument\n");
167 fatal("couldn't open %s", filename);
173 fatal("cannot open dtrace library: %s\n",
181 fatal("failed to compile script %s: %s\n", filename,
189 fatal("could not allocate copy of %d bytes", len);
199 fatal("couldn't open DTrace pseudo device");
/illumos-gate/usr/src/ucbcmd/chown/
H A Dchown.c63 void fatal(int, char *, char *);
92 fatal(255, "unknown option: %s", optchar);
106 fatal(255, "unknown group: %s", group);
114 fatal(2,
117 fatal(2, "group id invalid: %s", group);
124 fatal(255, "unknown user id: %s", argv[0]);
131 fatal(2, "user id too large: %s", argv[0]);
133 fatal(2, "user id invalid: %s", argv[0]);
176 fatal(255, "%s", savedir);
212 fatal(25
229 fatal(int status, char *fmt, char *a) function
[all...]
/illumos-gate/usr/src/cmd/scsi/sestopo/common/
H A Dsestopo.c34 static void fatal(int, const char *, ...) __NORETURN;
37 fatal(int err, const char *fmt, ...) function
85 fatal(1, "Usage: %s <device>", argv[0]);
88 fatal(-1, "failed to open %s: %s", argv[1], ses_errmsg());
/illumos-gate/usr/src/test/util-tests/tests/dladm/
H A Dallowed-ips.ksh21 function fatal function
31 dladm create-etherstub $ai_stub || fatal "failed to create etherstub"
32 dladm create-vnic -l $ai_stub $ai_vnic || fatal "failed to create vnic"
37 dladm delete-vnic $ai_vnic || fatal "failed to remove vnic"
38 dladm delete-etherstub $ai_stub || fatal "failed to remove etherstub"
48 runtest $* || fatal "allowed-ips=$* failed, expected success\n"
53 runtest $* && fatal "allowed-ips=$* succeeded, expected failure\n"
/illumos-gate/usr/src/cmd/csplit/
H A Dcsplit.c74 #define PERROR(x) fatal("%s: Illegal Regular Expression\n", targ);
78 static void fatal(char *, char *);
115 fatal("-n num\n", NULL);
158 fatal("Cannot open %s\n", *argv);
255 * "keep" flag is not set, fatal unlinks all created files. If the
256 * "keep" flag is set, fatal closes the current file(if there is one).
261 fatal(char *string, char *arg) function
345 * previous file name is restored for cleanup, and fatal is called. If
367 fatal("Suffix longer than %ld chars; increase -n\n",
376 fatal("Nam
[all...]
/illumos-gate/usr/src/cmd/mkpwdict/
H A Dmkpwdict.c43 fatal(char *msg) function
95 fatal(strerror(errno));
100 fatal(strerror(errno));
124 fatal(gettext("No source databases defined"));
136 fatal(strerror(errno));
/illumos-gate/usr/src/cmd/modload/
H A Dmodunload.c41 extern void fatal(char *fmt, ...);
64 fatal("Invalid id %s\n", optarg);
72 fatal("modunload can only be run from the global zone\n");
96 fatal("Insufficient privileges to unload a module\n");
132 fatal("usage: modunload -i <module_id> [-e <exec_file>]\n");
H A Dmodload.c42 extern void fatal(char *fmt, ...);
78 fatal("modload can only be run from the global zone\n");
89 fatal("Can't get current directory\n");
100 fatal("Insufficient privileges to load a module\n");
178 fatal("usage: modload [-p] [-e <exec_file>] <filename>\n");
/illumos-gate/usr/src/cmd/bdiff/
H A Dbdiff.c33 #include <fatal.h>
72 static int fatal_num = 1; /* exit number for fatal exit */
79 static void fatal(char *);
101 * Set flags for 'fatal' so that it will clean up,
109 fatal("arg count");
112 fatal("both files standard input");
119 fatal(Error);
127 fatal(Error);
137 fatal("non-numeric limit");
155 fatal("Ou
456 fatal(char *msg) function
[all...]
/illumos-gate/usr/src/cmd/trapstat/sun4/
H A Dtrapstat.c140 fatal(char *fmt, ...) function
232 fatal("could not allocate g_selected");
238 fatal("could not allocate g_pset_cpus");
243 fatal("getpagesizes()");
246 fatal("could not allocate g_pgsize array");
249 fatal("getpagesizes(%d)", g_pgsizes);
252 fatal("could not allocate g_pgnames");
259 fatal("could not allocate g_pgnames[%d]", i);
272 fatal("could not allocate data buffer 0");
275 fatal("coul
[all...]
/illumos-gate/usr/src/cmd/avs/errgen/
H A Derrgen.c97 fatal(char *msg) function
179 fatal("");
190 fatal("Too many %%s specifiers");
203 fatal("ERRGEN: cannot have %%s and @@ ending too");
262 fatal("Bad number of arguments");
291 fatal("Unknown option switch");
317 fatal("Undefined module name");
326 fatal("errgen file empty");
339 fatal("");
345 fatal("");
[all...]
/illumos-gate/usr/src/lib/brand/solaris10/zone/
H A Dimage_install.ksh141 fatal "$incompat_options" "$m_usage"
148 fatal "$incompat_options" "$m_usage"
157 fatal "$incompat_options" "$m_usage"
173 fatal "$incompat_options" "$m_usage"
177 fatal "$media_missing" "$m_usage"
182 fatal "$incompat_options" "$m_usage"
187 fatal "$cfgchoice_missing" "$m_usage"
192 fatal "$e_tmpfile"
H A Dattach.ksh97 fatal "$incompat_options" "$m_usage"
104 fatal "$incompat_options" "$m_usage"
116 fatal "$incompat_options" "$m_usage"
130 fatal "$m_usage"
142 fatal "$f_n_unimpl"
206 fatal "$e_tmpfile"
/illumos-gate/usr/src/cmd/ttymon/
H A Dtmsac.c61 fatal("pid file is locked. ttymon may already be "
67 fatal("open pid file failed: %s", strerror(errno));
70 fatal("lock pid file failed: %s", strerror(errno));
91 fatal("open sacpipe failed: %s", strerror(errno));
95 fatal("open pmpipe failed: %s", strerror(errno));
139 fatal("PMTAG is missing");
142 fatal("ISTATE is missing");
195 fatal("pmpipe read failed: %s",
/illumos-gate/usr/src/cmd/dtrace/test/cmd/badioctl/
H A Dbadioctl.c43 fatal(char *fmt, ...) function
67 fatal("couldn't open /dev/random");
71 fatal("mmap");
94 fatal("couldn't open DTrace pseudo device");
/illumos-gate/usr/src/lib/brand/shared/zone/
H A Dcommon.ksh36 fatal() function
101 fatal "$e_baddir" "$dir"
113 fatal "$e_baddir" "$dir"
124 /usr/bin/cp -p $src $dst || fatal "$e_badfile" "$src"
135 /usr/bin/cp -p $src $dst || fatal "$e_badfile" "$src"
146 /usr/bin/mv $src $dst || fatal "$e_badfile" "$src"
613 fatal "$e_absolute_archive"
627 fatal "$e_mismatch_archive" "$base" "$bname"
775 fatal "$e_path_abs" "$insrc"
780 fatal "
[all...]
/illumos-gate/usr/src/cmd/scsi/smp/common/
H A Dsmp.c48 static void fatal(int, const char *, ...) __NORETURN;
59 fatal(int err, const char *fmt, ...) function
175 fatal(-4, "exec failed: %s", smp_errmsg());
185 fatal(-5, "Command failed: Unknown result (0x%x)",
188 fatal(-5, "Command failed: %s", smp_result_str);
233 fatal(-6, "Expander does not support PHY-based route table\n");
247 fatal(-1, "Invalid route index (%d) or PHY ID (%d)\n",
426 fatal(-1, "Usage: %s <device> <function> ...\n", argv[0]);
431 fatal(-1, "Usage: %s <device> <function> ...\n", argv[0]);
438 fatal(
[all...]
/illumos-gate/usr/src/cmd/print/selector/
H A Dprint-service65 sub fatal { subroutine
130 fatal("failed to detect active print service: $!\n");
134 fatal("print service: $service is not installed\n");
144 fatal("$command is not available from $service print service\n");
224 fatal("print service: $service is not installed\n");
265 fatal("failed to detect active print service: $!\n");
/illumos-gate/usr/src/lib/libast/common/regex/
H A Dregsubcomp.c68 return fatal(disc, REG_EFLAGS, s - 1);
83 return fatal(disc, REG_EFLAGS, s - 1);
130 return fatal(disc, REG_BADPAT, NiL);
137 return fatal(disc, REG_ESPACE, s);
153 return fatal(disc, REG_EDELIM, s);
167 return fatal(disc, REG_EDELIM, r);
180 return fatal(disc, REG_EESCAPE, r);
216 return fatal(disc, REG_EESCAPE, s - 2);
294 return fatal(disc, REG_ESPACE, NiL);
323 return fatal(dis
[all...]
/illumos-gate/usr/src/cmd/ypcmd/revnetgroup/
H A Dutil.h57 void fatal();

Completed in 188 milliseconds

123456